// Copyright 2018 Matthias Ring
// Machine Learning and Data Analytics Lab
// Friedrich-Alexander-University Erlangen-Nuremberg
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#pragma once

#include "CoreMinimal.h"
#include "ModuleManager.h"
#include "IInputDeviceModule.h"
#include "ThreadSafeBool.h"

#define BTC_MODULE_NAME "BTC"

class IBTCDeviceModule : public IInputDeviceModule
{
public:

    static inline IBTCDeviceModule& Get()
    {
        return FModuleManager::LoadModuleChecked<IBTCDeviceModule>(BTC_MODULE_NAME);
    }

    static inline bool IsAvailable()
    {
        return FModuleManager::Get().IsModuleLoaded(BTC_MODULE_NAME);
    }
        
    virtual void Activate() = 0;
    virtual void Deactivate() = 0;
};


